annotate scripts/config-headers.sh @ 624:012028896cfb

FFS dev.c, Leonardo target: Fujitsu MB84VF5F5F4J2 #if 0'ed out The FFS code we got from TI/Openmoko had a stanza for "Fujitsu MB84VF5F5F4J2 stacked device", using a fake device ID code that would need to be patched manually into cfgffs.c (suppressing and overriding autodetection) and using an FFS base address in the nCS2 bank, indicating that this FFS config was probably meant for the MCP version of Leonardo which allows for 16 MiB flash with a second bank on nCS2. We previously had this FFS config stanza conditionalized under CONFIG_TARGET_LEONARDO because the base address contained therein is invalid for other targets, but now that we actually have a Leonardo build target in FC Magnetite, I realize that the better approach is to #if 0 out this stanza altogether: it is already non-functional because it uses a fake device ID code, thus it is does not add support for more Leonardo board variants, instead it is just noise.
author Mychaela Falconia <falcon@freecalypso.org>
date Sun, 22 Dec 2019 21:24:29 +0000
parents 92dbfa906f66
children
Ignore whitespace changes - Everywhere: Within whitespace: At end of lines:
rev   line source
6
c01d2500a998 beginning of build system: crafting config headers into place
Mychaela Falconia <falcon@freecalypso.org>
parents:
diff changeset
1 #!/bin/sh
c01d2500a998 beginning of build system: crafting config headers into place
Mychaela Falconia <falcon@freecalypso.org>
parents:
diff changeset
2
144
fd8227e3047d config headers overhaul
Mychaela Falconia <falcon@freecalypso.org>
parents: 14
diff changeset
3 if [ $# != 2 ]
6
c01d2500a998 beginning of build system: crafting config headers into place
Mychaela Falconia <falcon@freecalypso.org>
parents:
diff changeset
4 then
144
fd8227e3047d config headers overhaul
Mychaela Falconia <falcon@freecalypso.org>
parents: 14
diff changeset
5 echo "usage: $0 srvc-flavor rv-swe-flavor" 1>&2
6
c01d2500a998 beginning of build system: crafting config headers into place
Mychaela Falconia <falcon@freecalypso.org>
parents:
diff changeset
6 exit 1
c01d2500a998 beginning of build system: crafting config headers into place
Mychaela Falconia <falcon@freecalypso.org>
parents:
diff changeset
7 fi
c01d2500a998 beginning of build system: crafting config headers into place
Mychaela Falconia <falcon@freecalypso.org>
parents:
diff changeset
8
c01d2500a998 beginning of build system: crafting config headers into place
Mychaela Falconia <falcon@freecalypso.org>
parents:
diff changeset
9 if [ -z "$TARGET" ]
c01d2500a998 beginning of build system: crafting config headers into place
Mychaela Falconia <falcon@freecalypso.org>
parents:
diff changeset
10 then
c01d2500a998 beginning of build system: crafting config headers into place
Mychaela Falconia <falcon@freecalypso.org>
parents:
diff changeset
11 echo "Error: TARGET= must be passed via environment" 1>&2
c01d2500a998 beginning of build system: crafting config headers into place
Mychaela Falconia <falcon@freecalypso.org>
parents:
diff changeset
12 exit 1
c01d2500a998 beginning of build system: crafting config headers into place
Mychaela Falconia <falcon@freecalypso.org>
parents:
diff changeset
13 fi
c01d2500a998 beginning of build system: crafting config headers into place
Mychaela Falconia <falcon@freecalypso.org>
parents:
diff changeset
14
c01d2500a998 beginning of build system: crafting config headers into place
Mychaela Falconia <falcon@freecalypso.org>
parents:
diff changeset
15 if [ -z "$BUILD_DIR" ]
c01d2500a998 beginning of build system: crafting config headers into place
Mychaela Falconia <falcon@freecalypso.org>
parents:
diff changeset
16 then
c01d2500a998 beginning of build system: crafting config headers into place
Mychaela Falconia <falcon@freecalypso.org>
parents:
diff changeset
17 echo "Error: BUILD_DIR= must be passed via environment" 1>&2
c01d2500a998 beginning of build system: crafting config headers into place
Mychaela Falconia <falcon@freecalypso.org>
parents:
diff changeset
18 exit 1
c01d2500a998 beginning of build system: crafting config headers into place
Mychaela Falconia <falcon@freecalypso.org>
parents:
diff changeset
19 fi
c01d2500a998 beginning of build system: crafting config headers into place
Mychaela Falconia <falcon@freecalypso.org>
parents:
diff changeset
20
c01d2500a998 beginning of build system: crafting config headers into place
Mychaela Falconia <falcon@freecalypso.org>
parents:
diff changeset
21 set -e
c01d2500a998 beginning of build system: crafting config headers into place
Mychaela Falconia <falcon@freecalypso.org>
parents:
diff changeset
22
14
86e83045be37 scripts/config-headers.sh: allow this script to be re-run
Mychaela Falconia <falcon@freecalypso.org>
parents: 6
diff changeset
23 rm -rf $BUILD_DIR/config
144
fd8227e3047d config headers overhaul
Mychaela Falconia <falcon@freecalypso.org>
parents: 14
diff changeset
24 cp -r cfg-headers/base $BUILD_DIR/config
fd8227e3047d config headers overhaul
Mychaela Falconia <falcon@freecalypso.org>
parents: 14
diff changeset
25 cp cfg-headers/$1/* $BUILD_DIR/config
fd8227e3047d config headers overhaul
Mychaela Falconia <falcon@freecalypso.org>
parents: 14
diff changeset
26 cp cfg-headers/rv_swe-$2.h $BUILD_DIR/config/rv_swe.h
602
92dbfa906f66 fc-target.cfg config header renamed to more sensible fc-target.h
Mychaela Falconia <falcon@freecalypso.org>
parents: 144
diff changeset
27 cp targets/$TARGET.h $BUILD_DIR/config/fc-target.h